Subject: [homenet] 答复: 答复: MPvD use cases in homenet

From: Liang Geng <[email-masked]>
Date: Thu, 9 Jul 2015 23:15:27 +0800

Dear Mark,

Thank you for your comments. Please find some responses in line.
> 
> 
> 
> 
> Thank you for raising this topic, Liang.
> 
> From Homenet's (and HNCP's) perspective, I think the simplest thing to do here
> is pass all information down to the host as transparently as possible and let it
> make the decision on what to do.

Yes. I can’t agree with you more. For HNCP, it can support MPvD in Homenet simply by pass all PvD related information to a mif node (maybe a host and maybe an interior router)

> 
> More specifically, for each ISP there is at least one Provider-Assigned IPv6 prefix,
> and for each of these IPv6 prefixes there are associated parameters that
> ultimately must be communicated to the hosts attached to any given link within
> the homenet. HNCP simply does what it already does with multiple prefixes,
> except that it is called a PVD now and includes whatever information the PVD
> needs to carry that it learned from the ISP uplink (or elsewhere) including DNS
> information, the IPv6 Provider-Assigned IPv6 prefix itself, etc). This way,
> individual ISP connections can be easily be supported by different edge routers
> (something that I did not see covered in your document at all?), and you don't
> have to try and merge PVD info together unless you really need or want to (and
> this would be done by the router that is actually assigned to provision a host).
> 
Thank you for pointing out the scenario for multiple edge routers with individually connected ISPs. I did miss this configuration in the draft because somehow I focused on the cases where the edge router and interior routers are mif nodes. However, I believe it is worth adding this configuration since a host is most likely to be the commonly used mif node in homenet, and the conveying of the PvD information for the host is actually something need to be understood by HNCP. I will try to included this if we can discuss this in Prague session and it can be added in the updated draft.

In mif, it is not particularly recommended to merge the PVD information. In my draft however, I did mention a special case where for dual-homed router, the PvD information can be merged when the info is provided by the same ISP provisioning a service and an interface that are purposely bounded.

> I'm not certain how much of this is mif's job and how much it is homenet's....
> But, certainly the idea that we have a PVD delineated per unique ISP prefix
> needs to be well understood by both WGs, and we also need to be able to carry
> that information through HNCP as well.

I think we need to discuss this in more detail. Certainly things related to how HNCP carries PvD information, as you mentioned, might be something interesting to be done in Homenet.
> 
> Comments?
> 
> - Mark
> 
> 
> 
> On Tue, Jul 7, 2015 at 4:26 PM, Liang Geng <[email-masked]> wrote:
> Dear all,
> 
> An updated version for draft-geng-homenet-mpvd-use-cases is uploaded:
> http://datatracker.ietf.org/doc/draft-geng-homenet-mpvd-use-cases/
> 
> This version clarifies the PvD associated with particular interfaces and services
> (applications) and refines the given MPvD configuration examples.
> 
> I would very much like to discuss this in the coming meeting and please do not
> hesitate to comment in the mail list.
> 
> Best wishes,
> Liang
> 
> -----邮件原件-----
> 发件人: homenet [mailto:[email-masked]] 代表 Liang Geng
> 发送时间: 2015年3月9日 23:15
> 收件人: [email-masked]
> 主题: [homenet] MPvD use cases in homenet
> 
> Hello everyone.
> 
> I initiated a draft on the MPvD use cases in homenet. The multihomed and
> multi-subnet characteristic of homenet make PvD a good candidate for
> independent and flexible domain-based network configuration. The purpose of
> the document is to summarize the potential adoption use cases of PvDs in
> homenet. Types of PvD-aware nodes are given referring both to the model in
> MPvD architecture and the homenet model, for the purpose of creating PvDs for
> individual interfaces and services. Examples of PvD arrangement are also given
> for both singlehomed and multi-homed scenario.
> 
> Since these are very initial thoughts, the delivery of PvD information within
> Homenet is only briefly discussed in this draft. I am still working on the possible
> HNCP implementation for this purpose. Discussion is more than welcome on this.
> 
> Comments are extremely welcome. Thanks a lot!
> 
> Best wishes,
> Liang
> 
> _______________________________________________
> homenet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homenet
> 
> _______________________________________________
> homenet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homenet
>